Package com.arms.egovframework.javaservice.treeframework.util

## Class EgovFormBasedFileUtil

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.util.EgovFormBasedFileUtil

- Direct Known Subclasses:
    `EgovFileUploadUtil`

      public class EgovFormBasedFileUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BUFFER_SIZE` |
    `static java.lang.String` | `SEPERATOR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EgovFormBasedFileUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static java.lang.String` | `convert​(java.lang.String filename)` |
    `static void` | `downloadFile​(javax.servlet.http.HttpServletResponse response, java.lang.String where, java.lang.String serverSubPath, java.lang.String physicalName, java.lang.String original)` |
    `static void` | `downloadFile​(javax.servlet.http.HttpServletResponse response, java.lang.String where, java.lang.String serverSubPath, java.lang.String physicalName, java.lang.String contentType, java.lang.String original)` |
    `static java.lang.String` | `getPhysicalFileName()` |
    `static java.lang.String` | `getTodayString()` |
    `static long` | `saveFile​(java.io.InputStream is, java.io.File file)` |
    `static java.util.List<EgovFormBasedFileVo>` | `uploadFiles​(javax.servlet.http.HttpServletRequest request, java.lang.String where, long maxFileSize)` |
    `static void` | `viewFile​(javax.servlet.http.HttpServletResponse response, java.lang.String where, java.lang.String serverSubPath, java.lang.String physicalName, java.lang.String mimeTypeParam)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BUFFER_SIZE

          public static final int BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### SEPERATOR

          public static final java.lang.String SEPERATOR

  - ### Constructor Detail

    - #### EgovFormBasedFileUtil

          public EgovFormBasedFileUtil()

  - ### Method Detail

    - #### getTodayString

          public static java.lang.String getTodayString()

    - #### getPhysicalFileName

          public static java.lang.String getPhysicalFileName()

    - #### convert

          protected static java.lang.String convert​(java.lang.String filename)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### saveFile

          public static long saveFile​(java.io.InputStream is,
                                      java.io.File file)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### uploadFiles

          public static java.util.List<EgovFormBasedFileVo> uploadFiles​(javax.servlet.http.HttpServletRequest request,
                                                                        java.lang.String where,
                                                                        long maxFileSize)
                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### downloadFile

          public static void downloadFile​(javax.servlet.http.HttpServletResponse response,
                                          java.lang.String where,
                                          java.lang.String serverSubPath,
                                          java.lang.String physicalName,
                                          java.lang.String original)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### downloadFile

          public static void downloadFile​(javax.servlet.http.HttpServletResponse response,
                                          java.lang.String where,
                                          java.lang.String serverSubPath,
                                          java.lang.String physicalName,
                                          java.lang.String contentType,
                                          java.lang.String original)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### viewFile

          public static void viewFile​(javax.servlet.http.HttpServletResponse response,
                                      java.lang.String where,
                                      java.lang.String serverSubPath,
                                      java.lang.String physicalName,
                                      java.lang.String mimeTypeParam)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`